<!DOCTYPE html>
<html>
  <head>
    <title>LED color control</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/spectrum/1.8.0/spectrum.min.css">
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/spectrum/1.8.0/spectrum.min.js"></script>
    <script>
      $(document).ready(function() {
        $("#color").spectrum({
          preferredFormat: "hsl",
          showInput: true
        });
      });

    function submitColor() {
        var color = $("#color").spectrum("get").toHsl(); // {"h":0,"s":1,"l":0.5}

        $.ajax({
                url: "http://193.167.5.160/json?string={\"h\":"+ color.h +",\"l\":"+ color.l +"}",
                timeout: 5000,
            })
            .done(function(response){
                const responseJSON = JSON.parse(response);
                console.log(responseJSON);
            })
            .fail(function(){
                console.log("Sorry, call failed");
            });
    }

    function ping() {
        $.ajax({
            url: "http://193.167.5.160/json",
            timeout: 5000,
        })
        .done(function(response){
            $('#api-status').html("Connected");
        })
        .fail(function(){
            $('#api-status').html("Disconnected");
        });
    }

    setInterval(ping, 5000);
    </script>
  </head>
  <body>
    <div class="container">
      <h1>LED color control</h1>
      <div class="form-group">
        <label for="color">Select a color:</label>
        <input type="text" id="color" class="form-control spectrum" />
      </div>
      <button id="submit" class="btn btn-primary" onclick="submitColor()">Submit</button>
      <div id="api-status">
        Searching
      </div>
    </div>
  </body>
</html>